

www: index.html
	scp index.html jahier@rdbg.forge.imag.fr:/var/lib/gforge/chroot/home/groups/rdbg/htdocs

EMACS=emacs --batch --load=emacs-org.el

LUTILSDIR=$(shell ocamlfind -query lutils)
LUTINDIR=$(shell ocamlfind -query lutin)
LUSTREDIR=$(shell ocamlfind -query lustre-v6)

OCAMLVERSION=ocaml$(shell ocamlc -version)
PLUGINDIR=jahier@rdbg.forge.imag.fr:/var/lib/gforge/chroot/home/groups/rdbg/htdocs/

LOCALPLUGINDIR=plugins/$(HOSTTYPE)-$(OCAMLVERSION)/


.PHONY:plugins
plugins:
	mkdir $(LOCALPLUGINDIR) || true
	cp -r $(LUTILSDIR) $(LOCALPLUGINDIR)
	cp -r $(LUTINDIR) $(LOCALPLUGINDIR)
	cp -r $(LUSTREDIR) $(LOCALPLUGINDIR)
	scp -r plugins $(PLUGINDIR)


#	scp -r plugins/ jahier@rdbg.forge.imag.fr:/var/lib/gforge/chroot/home/groups/rdbg/htdocs/

%.html: %.org
	$(EMACS) --visit=$*.org --funcall org-export-as-html-batch
